[Solved...] Sk1 project

If you are looking for a specific 64-bit package and you can't find it in any of the 64-bit repos, please post a request for it here
Post Reply
unixino
Black ninja
Black ninja
Posts: 39
Joined: 28 Dec 2012, 11:42
Distribution: 46 bit xfce
Location: Egypt

[Solved...] Sk1 project

Post#1 by unixino » 29 Mar 2018, 16:24

Hi
i am trying to compile Sk1 program on Porteus4 but with no luck.
can anybody help me to create a module?
package link :
https://sk1project.net/viewpage.php?page_id=24
Thanks in advance
Last edited by unixino on 01 Apr 2018, 11:32, edited 1 time in total.

Jack
Contributor
Contributor
Posts: 1541
Joined: 09 Aug 2013, 14:25
Distribution: Porteus 4.0rc4 My Mate 64 bit
Location: USA

Sk1 project

Post#2 by Jack » 29 Mar 2018, 21:26

Try this link it might it http://slack.conraid.net/repository/sla ... 64-8cf.txz or http://slack.conraid.net/repository/sla ... 64-4cf.txz . If you want me to convert to an xzm module let me know?
I just like Slackware because I think it teach you about Linux to build packages where Ubuntu is like Windows you just install programs you want.

User avatar
Ed_P
Contributor
Contributor
Posts: 4197
Joined: 06 Feb 2013, 22:12
Distribution: 4.0 Cinnamon 64-bit ISO
Location: Western NY, USA

Sk1 project

Post#3 by Ed_P » 29 Mar 2018, 22:02

Interesting. USM only has a libs package for it.

Code: Select all

guest@porteus:~$ su
Password: 
root@porteus:/home/guest# usm -s sk1

sk1libs-0.9.1-x86_64-1_slonly.txz was found in slackonly [not installed]
Packages found:   1 

Use:   usm -i <package>  for more info
Use:   usm -g <package>  to download

root@porteus:/home/guest# 
Ed

tome
Contributor
Contributor
Posts: 633
Joined: 26 Jun 2013, 14:03
Distribution: x64 Openbox
Location: Poland
Contact:

Sk1 project

Post#4 by tome » 31 Mar 2018, 08:24

I have got it working:
Jack wrote:
29 Mar 2018, 21:26
Try this link it might it http://slack.conraid.net/repository/sla ... 64-8cf.txz or http://slack.conraid.net/repository/sla ... 64-4cf.txz .
Next to run it I installed wxPython-2.8.12.1-x86_64-5_slonly.txz, python-pillow-4.2.1-x86_64-1.txz, reportlab-3.2.0-x86_64-1_slonly.txz (all from http://www.slakfinder.org). To show from menu "Help->About sK1..." I used libmagickwand-6.q16hdri-5_6.9.9.39+dfsg-1_amd64.deb and libmagickcore-6.q16hdri-5_6.9.9.39+dfsg-1_amd64.deb from https://pkgs.org/ and liblqr-0.4.2-x86_64-3cf.txz for slackware !14.2!. Libs from /usr/lib/x86_64-linux-gnu deb packages must be moved to Slackware /usr/lib64 to work - must be made manually because it is not done by deb2xzm.
No intelligence, no life and no information can exist without prior intelligence, life or information (in place where things change and time is running).

Jack
Contributor
Contributor
Posts: 1541
Joined: 09 Aug 2013, 14:25
Distribution: Porteus 4.0rc4 My Mate 64 bit
Location: USA

Sk1 project

Post#5 by Jack » 31 Mar 2018, 17:33

tome wrote:
31 Mar 2018, 08:24
I have got it working:
Jack wrote:
29 Mar 2018, 21:26
Try this link it might it http://slack.conraid.net/repository/sla ... 64-8cf.txz or http://slack.conraid.net/repository/sla ... 64-4cf.txz .
Next to run it I installed wxPython-2.8.12.1-x86_64-5_slonly.txz, python-pillow-4.2.1-x86_64-1.txz, reportlab-3.2.0-x86_64-1_slonly.txz (all from http://www.slakfinder.org). To show from menu "Help->About sK1..." I used libmagickwand-6.q16hdri-5_6.9.9.39+dfsg-1_amd64.deb and libmagickcore-6.q16hdri-5_6.9.9.39+dfsg-1_amd64.deb from https://pkgs.org/ and liblqr-0.4.2-x86_64-3cf.txz for slackware !14.2!. Libs from /usr/lib/x86_64-linux-gnu deb packages must be moved to Slackware /usr/lib64 to work - must be made manually because it is not done by deb2xzm.
He ask a question but I didn't know it needed what you had to do to make it work. What DE are you using?
I just like Slackware because I think it teach you about Linux to build packages where Ubuntu is like Windows you just install programs you want.

unixino
Black ninja
Black ninja
Posts: 39
Joined: 28 Dec 2012, 11:42
Distribution: 46 bit xfce
Location: Egypt

Sk1 project

Post#6 by unixino » 31 Mar 2018, 19:31

Thanks Tom
It worked fine but the next part of showing menu '' Help-About sk1....''
I can't find the 2 packages :
libmagickwand-6.q16hdri-5_6.9.9.39+dfsg-1_amd64.deb
libmagickcore-6.q16hdri-5_6.9.9.39+dfsg-1_amd64.deb
I found another versions but didnt work, They also make some errors in loading bitmaps.
Can you plz send their direct link.
Thanks

tome
Contributor
Contributor
Posts: 633
Joined: 26 Jun 2013, 14:03
Distribution: x64 Openbox
Location: Poland
Contact:

Sk1 project

Post#7 by tome » 31 Mar 2018, 20:57

No intelligence, no life and no information can exist without prior intelligence, life or information (in place where things change and time is running).

unixino
Black ninja
Black ninja
Posts: 39
Joined: 28 Dec 2012, 11:42
Distribution: 46 bit xfce
Location: Egypt

Sk1 project

Post#8 by unixino » 01 Apr 2018, 11:28

Thank you very much

Post Reply